Summary: Content for the Anaconda built-in help system
Name: anaconda-user-help
URL: https://pagure.io/install-guide
Version: 26.1
Release: 15%{?dist}.inferit
BuildArch: noarch

# The tarball is created from the Installation Guide
# git repository with git archive from the corresponding
# anaconda-user-help-x.x git tag.
# The blivet-gui documentation tarball is made from the user help files
# for blivet-gui:
# https://github.com/rhinstaller/blivet-gui

Source0: %{name}-%{version}.tar.gz
Source1: %{name}-blivet-gui.tar.gz
Source100: anaconda-help-ru_RU.xml
Source101: rhel_help_placeholder-ru_RU.txt
Source102: rhel_help_placeholder-ru_RU.xml

# MSVSphere patches
Patch1001: 0001-Debranding-for-MSVSphere.patch


License: CC-BY-SA
BuildRequires: python3-devel
BuildRequires: python3-lxml
BuildRequires: xmlto
# lynx is required by xmlto for successful xml to plain text conversion
BuildRequires: lynx

%description
This package provides content for the Anaconda built-in help system.

%prep
%setup -q -a 1
%patch1001 -p1

%build
%{__python3} prepare_anaconda_help_content.py

%install
mkdir -p %{buildroot}%{_datadir}/anaconda/help
cp -r anaconda_help_content/* %{buildroot}%{_datadir}/anaconda/help
cp -r blivetgui_help_content/* %{buildroot}%{_datadir}/anaconda/help
mkdir -p %{buildroot}%{_datadir}/anaconda/help/ru-RU
install -m644 %{SOURCE100} %{buildroot}%{_datadir}/anaconda/help/ru-RU/anaconda-help.xml
install -m644 %{SOURCE101} %{buildroot}%{_datadir}/anaconda/help/ru-RU/rhel_help_placeholder.txt
install -m644 %{SOURCE102} %{buildroot}%{_datadir}/anaconda/help/ru-RU/rhel_help_placeholder.xml

%files
%{_datadir}/anaconda/help/*

%changelog
* Thu Apr 10 2025 Sergey Cherevko <s.cherevko@msvsphere-os.ru> - 26.1-15.inferit
- Update to 26.1-15

* Wed Dec 27 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 1:9.2.1-1.inferit.8
- Fix typo

* Wed Dec 27 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 1:9.2.1-1.inferit.7
- Drop sphere urls

* Wed Nov 15 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 1:9.2.1-1.inferit.6
- Update Added Russian translation

* Wed Nov 15 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 1:9.2.1-1.inferit.5
- Update Added Russian translation

* Mon Nov 13 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 1:9.2.1-1.inferit.4
- Update Added Russian translation

* Thu Nov  9 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 1:9.2.1-1.inferit.3
- Added Russian translation

* Wed Sep 13 2023 Arkady L. Shane <ashejn@msvsphere-os.ru> - 1:9.2.1-1.inferit.2
- Debrand like AlmaLinux use

* Wed Sep 13 2023 Sergey Cherevko <s.cherevko@msvsphere-os.ru> - 1:9.2.1-1.inferit.1
- Changed URLs from msvsphere.ru to msvsphere-os.ru
- Rebuilt for MSVSphere 9.2

* Fri May 19 2023 Sergey Cherevko <s.cherevko@msvsphere.ru> - 9.2.1-1.inferit
- Debranding for MSVSphere
- Rebuilt for MSVSphere 9.2

* Sat Apr 01 2023 Eugene Zamriy <ezamriy@msvsphere.ru> - 9.0.0-1.inferit
- Initial debranding for MSVSphere
- Rebuilt for MSVSphere 9.1

* Mon Aug 09 2021 Mohan Boddu <mboddu@redhat.com> - 26.1-15
- Rebuilt for IMA sigs, glibc 2.34, aarch64 flags
  Related: rhbz#1991688

* Thu Apr 15 2021 Mohan Boddu <mboddu@redhat.com> - 26.1-14
- Rebuilt for RHEL 9 BETA on Apr 15th 2021. Related: rhbz#1947937

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 26.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 26.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 26.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 26.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 26.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 26.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 26.1-7
- Rebuilt for Python 3.7

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 26.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 26.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 26 2017 Martin Kolman <mkolman@redhat.com> - 26.1-4
- Add help for blivet-gui spoke (#1439565) (vtrefny)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 26.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Nov 01 2016 Martin Kolman <mkolman@redhat.com> - 26.1-2
- Add lynx dependency to fix xml to plain text conversion (mkolman)

* Thu Oct 27 2016 Martin Kolman <mkolman@redhat.com> - 26.1-1
- Generate plain text variants of the help content files (mkolman)
- Add a plain text version of of the placeholder (mkolman)
- Fix some typos (mkolman)
- Use /usr/bin/python3 in conversion script header (mkolman)
- Update help content (mkolman)
- Fix link to the installation guide git repository (mkolman)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 22.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 22.4-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 22.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 19 2015 Martin Kolman <mkolman@redhat.com> - 22.4-1
- Add help content for the Kdump spoke (mkolman)

* Wed Dec 10 2014 Martin Kolman <mkolman@redhat.com> - 22.1-1
- Initial release (mkolman)
